[**@rxap/upload**](../README.md)

***

[@rxap/upload](../globals.md) / FileUploadMethod

# Class: FileUploadMethod

Defined in: [file-upload.method.ts:22](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/upload/src/lib/file-upload.method.ts#L22)

## Implements

- `Method`\<`File` \| `null`, [`FileUploadMethodParameters`](../interfaces/FileUploadMethodParameters.md)\>

## Constructors

### new FileUploadMethod()

> **new FileUploadMethod**(): [`FileUploadMethod`](FileUploadMethod.md)

#### Returns

[`FileUploadMethod`](FileUploadMethod.md)

## Properties

### \_document

> `protected` **\_document**: `null` \| `Document` = `null`

Defined in: [file-upload.method.ts:28](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/upload/src/lib/file-upload.method.ts#L28)

***

### \_fileInput

> `protected` **\_fileInput**: `null` \| `HTMLInputElement` = `null`

Defined in: [file-upload.method.ts:26](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/upload/src/lib/file-upload.method.ts#L26)

***

### progress$

> **progress$**: `Subject`\<`number`\>

Defined in: [file-upload.method.ts:24](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/upload/src/lib/file-upload.method.ts#L24)

## Accessors

### document

#### Get Signature

> **get** `protected` **document**(): `Document`

Defined in: [file-upload.method.ts:30](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/upload/src/lib/file-upload.method.ts#L30)

##### Returns

`Document`

## Methods

### addInputToDom()

> `protected` **addInputToDom**(`accept`): `HTMLInputElement`

Defined in: [file-upload.method.ts:113](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/upload/src/lib/file-upload.method.ts#L113)

#### Parameters

##### accept

`string`

#### Returns

`HTMLInputElement`

***

### call()

> **call**(`parameters`?): `Promise`\<`null` \| `File`\>

Defined in: [file-upload.method.ts:37](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/upload/src/lib/file-upload.method.ts#L37)

#### Parameters

##### parameters?

[`FileUploadMethodParameters`](../interfaces/FileUploadMethodParameters.md)

#### Returns

`Promise`\<`null` \| `File`\>

#### Implementation of

`Method.call`

***

### getDocument()

> `protected` **getDocument**(): `Document`

Defined in: [file-upload.method.ts:122](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/upload/src/lib/file-upload.method.ts#L122)

#### Returns

`Document`

***

### handleFileInputChange()

> `protected` **handleFileInputChange**(`event`): `null` \| `File`

Defined in: [file-upload.method.ts:62](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/upload/src/lib/file-upload.method.ts#L62)

#### Parameters

##### event

`any`

#### Returns

`null` \| `File`

***

### readFile()

> `protected` **readFile**(`file`): `Promise`\<`File`\>

Defined in: [file-upload.method.ts:84](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/upload/src/lib/file-upload.method.ts#L84)

#### Parameters

##### file

`File`

#### Returns

`Promise`\<`File`\>

***

### removeInputFromDom()

> `protected` **removeInputFromDom**(): `void`

Defined in: [file-upload.method.ts:77](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/upload/src/lib/file-upload.method.ts#L77)

#### Returns

`void`

***

### setDocument()

> **setDocument**(`document`): `void`

Defined in: [file-upload.method.ts:58](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/upload/src/lib/file-upload.method.ts#L58)

#### Parameters

##### document

`Document`

#### Returns

`void`
